<?php
$id = 'wds-welcome-modal';
$types_builder_url = Smartcrawl_Settings_Admin::admin_url( Smartcrawl_Settings::TAB_SCHEMA ) . '&tab=tab_types&add_type=1';
?>

<div class="sui-modal sui-modal-md">
	<div role="dialog"
	     id="<?php echo esc_attr( $id ); ?>"
	     class="sui-modal-content <?php echo esc_attr( $id ); ?>-dialog"
	     aria-modal="true"
	     aria-labelledby="<?php echo esc_attr( $id ); ?>-dialog-title"
	     aria-describedby="<?php echo esc_attr( $id ); ?>-dialog-description">

		<div class="sui-box" role="document">
			<div class="sui-box-header sui-flatten sui-content-center sui-spacing-top--40">
				<div class="sui-box-banner" role="banner" aria-hidden="true">
					<img src="<?php echo esc_attr( SMARTCRAWL_PLUGIN_URL ); ?>assets/images/graphic-upgrade-header.svg"/>
				</div>

				<button class="sui-button-icon sui-button-float--right" data-modal-close
				        id="<?php echo esc_attr( $id ); ?>-close-button"
				        type="button">
					<span class="sui-icon-close sui-md" aria-hidden="true"></span>
					<span class="sui-screen-reader-text"><?php esc_html_e( 'Close this dialog window', 'wds' ); ?></span>
				</button>

				<h3 class="sui-box-title sui-lg"
				    id="<?php echo esc_attr( $id ); ?>-dialog-title">

					<?php esc_html_e( 'New supported schema types!', 'wds' ); ?>
				</h3>

				<div class="sui-box-body sui-content-center">
					<p class="sui-description"
					   id="<?php echo esc_attr( $id ); ?>-dialog-description">
						<span>
							<?php esc_html_e( "Been missing more schema types? We have you covered! You can now add and customize a huge range of schema types to help search engines better understand your site’s content and increase your visibility on search.", 'wds' ); ?>
						</span>
					</p>

					<h4><?php echo smartcrawl_format_link(
							esc_html__( 'New types included in our %s:', 'wds' ),
							$types_builder_url,
							esc_html__( 'Types builder', 'wds' )
						); ?></h4>
					<ul>
						<li>
							<small>
								<?php echo __( 'Recipe', 'wds' ); ?>
							</small>
						</li>
						<li>
							<small>
								<?php echo __( 'Job Posting', 'wds' ); ?>
							</small>
						</li>
						<li>
							<small>
								<?php echo __( 'Course', 'wds' ); ?>
							</small>
						</li>
						<li>
							<small>
								<?php echo __( 'Book', 'wds' ); ?>
							</small>
						</li>
						<li>
							<small>
								<?php echo __( 'Software Application', 'wds' ); ?>
							</small>
						</li>
						<li>
							<small>
								<?php echo __( 'Movie', 'wds' ); ?>
							</small>
						</li>
					</ul>

					<button id="<?php echo esc_attr( $id ); ?>-get-started" type="button" class="sui-button">
						<span class="sui-loading-text">
							<?php esc_html_e( 'Got it', 'wds' ); ?>
						</span>
						<span class="sui-icon-loader sui-loading" aria-hidden="true"></span>
					</button>
				</div>
			</div>
		</div>

		<a style="display: none;" id="<?php echo esc_attr( $id ); ?>-skip"
		   href="#">

			<?php esc_html_e( 'Skip This', 'wds' ); ?>
		</a>
	</div>
</div>
